	subroutine process_match(sid1, sid2)
	implicit integer (a-z)
	include 'dccom.inc'
	logical diff

	diff = .false.

	if (check_vers) then
	    diff = (version(1).ne.version(2))
	endif
	if (.not.diff) then
	    if (check_size) then
	        diff = (used(1).ne.used(2))
	    endif
	endif
	if (.not.diff) then
	    if (check_cre) then
		diff = cre(1).ne.cre(2)
	    endif
	endif
	if (.not.diff) then
	    if (check_rev) then
		diff = rev(1).ne.rev(2)
	    endif
	endif
	if (diff) then
	    call page_check
	    call print_check
	    write (6, 1000) 
     +       fspec(sid1)(rbracket(sid1)+1:),used(sid1),cre(1),rev(1),
     +       fspec(sid2)(rbracket(sid2)+1:),used(sid2),cre(2),rev(2)
	    total_diff = total_diff + 1
	endif
	return
1000	format(1x,a22,i6,3x,a,1x,a,t66,'/',t68,a22,i6,3x,a,1x,a)
	end
